%define majversion %(echo %version | cut -d. -f 1-2)
Name:          ardour
Version:       3.5.380
Release:       1mamba
Summary:       A digital audio workstation you can use to record, edit and mix multi-track audio
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.ardour.org
Source:        http://www.ardour.org/files/releases/Ardour3-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libalsa-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libatk-devel
BuildRequires: libatkmm-devel
BuildRequires: libaubio-devel
BuildRequires: libbluetooth-devel
BuildRequires: libcairo-devel
BuildRequires: libcairomm-devel
BuildRequires: libcurl-devel
BuildRequires: libcwiid-devel
BuildRequires: libfftw-devel
BuildRequires: libflac-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libglibmm-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnomecanvasmm-devel
BuildRequires: libgtk2-devel
BuildRequires: libgtkmm2-devel
BuildRequires: libjack-devel
BuildRequires: liblilv-devel
BuildRequires: liblo-devel
BuildRequires: liblrdf-devel
BuildRequires: libogg-devel
BuildRequires: libpango-devel
BuildRequires: libpangomm-devel
BuildRequires: libsamplerate-devel
BuildRequires: libserd-devel
BuildRequires: libsigc++-devel
BuildRequires: libsndfile-devel
BuildRequires: libsord-devel
BuildRequires: libsratom-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsuil-devel
BuildRequires: libuuid-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRequires: scons >= 0.96.1
BuildRequires: fst-devel >= 1.6
BuildRequires: liblv2-devel
BuildRequires: libraptor-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot

%description
Ardour is a digital audio workstation. You can use it to record, edit and mix multi-track audio. Produce your own CD's. Mix video soundtracks. Experiment with new ideas about music and sound. Generate sound installations for 12 speaker gallery shows. Have Fun.
Ardour capabilities include: multichannel recording, non-linear, non-destructive region based editing with unlimited undo/redo, full automation support, a mixer whose capabilities rival high end hardware consoles, lots of plugins to warp, shift and shape your music, and controllable from hardware control surfaces at the same time as it syncs to timecode. If you've been looking for a tool similar to ProTools, Nuendo, Cubase SX or Sequoia, you might have found it.

%prep
%setup -q -n Ardour3-%{version}

%build
./waf configure \
   --prefix=%{_prefix} \
   --libdir=%{_libdir} \
   --configdir=%{_sysconfdir} \
   --lv2

./waf

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}
./waf install --destdir=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/ardour.desktop << EOF
[Desktop Entry]
Name=ardour
GenericName=A digital audio workstation
GenericName[it]=Una workstation per l'audio digitale
Comment=With ardour you can record, edit and mix multi-track audio
Comment[it]=Con ardour puoi registrare, editare e mixare audio multitraccia 
Exec=ardour3
Type=Application
Terminal=0
Icon=ardour3
Categories=Qt;KDE;AudioVideo;
EOF

install -D icons/icon/ardour_icon_tango_32px_blue.png %{buildroot}%{_datadir}/pixmaps/ardour3.png

#%find_lang gtk2_ardour3
#%find_lang ardour3
#%find_lang gtkmm2ext3
#cat gtk2_ardour3.lang ardour3.lang gtkmm2ext3.lang > %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
#-f %{name}.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/ardour3
%config %{_sysconfdir}/ardour3/*
%{_bindir}/ardour3
%{_datadir}/pixmaps/ardour3.png
%dir %{_libdir}/ardour3
%{_libdir}/ardour3/*.so*
%{_libdir}/ardour3/ardour-*
%dir %{_libdir}/ardour3/backends
%{_libdir}/ardour3/backends/libjack_audiobackend.so*
%dir %{_libdir}/ardour3/engines
%{_libdir}/ardour3/engines/libclearlooks.so*
%dir %{_libdir}/ardour3/panners
%{_libdir}/ardour3/panners/libpan*.so*
%dir %{_libdir}/ardour3/surfaces
%{_libdir}/ardour3/surfaces/libardour_*.so*
%dir %{_libdir}/ardour3/vamp
%{_libdir}/ardour3/vamp/libardourvampplugins.so*
%{_libdir}/ardour3/sanityCheck
%dir %{_libdir}/lv2/reasonablesynth.lv2
%{_libdir}/lv2/reasonablesynth.lv2/*
%dir %{_datadir}/ardour3
%{_datadir}/ardour3/*
%{_datadir}/applications/ardour.desktop
#%doc COPYING

%changelog
* Sun Jun 08 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.380-1mamba
- update to 3.5.380

* Sat Mar 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.357-1mamba
- update to 3.5.357

* Sat Nov 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.74-1mamba
- update to 3.5.74

* Wed Oct 30 2013 Automatic Build System <autodist@mambasoft.it> 3.5.14-1mamba
- automatic version update by autodist

* Mon Sep 16 2013 Automatic Build System <autodist@mambasoft.it> 3.4-1mamba
- update to 3.4

* Wed Jul 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3-2mamba
- fixed icon in desktop menu entry

* Wed Jul 24 2013 Automatic Build System <autodist@mambasoft.it> 3.3-1mamba
- automatic version update by autodist

* Sat Jul 13 2013 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- update to 3.2

* Thu Apr 11 2013 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- update to 3.1

* Sat Mar 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0-2mamba
- desktop file fixed to run ardour3 binary

* Wed Mar 27 2013 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- update to 3.0

* Thu Jan 31 2013 Automatic Build System <autodist@mambasoft.it> 2.8.16-1mamba
- automatic version update by autodist

* Sat Oct 29 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.12-1mamba
- update to 2.8.12

* Thu Jun 03 2010 Automatic Build System <autodist@mambasoft.it> 2.8.1-2mamba
- automatic rebuild by autodist

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- update to 2.8.1

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 2.3.1-2mamba
- automatic rebuild by autodist

* Mon Feb 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.1-1mamba
- update to 2.3.1

* Fri Sep 21 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.5-1mamba
- update to 2.0.5

* Sun Jul 22 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.3-1mamba
- update to 2.0.3

* Thu May 18 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.99.3-1qilnx
- update to version 0.99.3 by autospec
- rpm group name fix

* Sun Mar 13 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9beta28-1qilnx
- package created by autospec
